LOCAL_PATH := $(call my-dir)

include $(CLEAR_VARS)

LOCAL_MODULE := main

SDL_PATH := ../SDL

LOCAL_C_INCLUDES := $(LOCAL_PATH)/$(SDL_PATH)/include \
				    $(LOCAL_PATH)/../SDL2_mixer \
					$(LOCAL_PATH)/../SDL2_image \
					$(LOCAL_PATH)/../SDL2_ttf

# Add your application source files here...
LOCAL_SRC_FILES := $(SDL_PATH)/src/main/android/SDL_android_main.c \
	tools.cpp \
	aAsteroid.cpp \
	aShip.cpp \
	aShot.cpp \
	aStar.cpp \
	Node.cpp \
	SceneGraph.cpp \
	SDLgraph.cpp \
	main.cpp
	

LOCAL_SHARED_LIBRARIES := SDL2 SDL2_mixer SDL2_image SDL2_ttf

LOCAL_LDLIBS := -lGLESv1_CM -llog

include $(BUILD_SHARED_LIBRARY)
