#include "SceneGraph.h"

#include "main.h"

#include <list>
#include "Node.h"


bool SceneGraph::addNode(Node *n)
{
	Nodes.push_back(n);
	return true;
}



void SceneGraph::render()
{
	list<Node*>::iterator it;

	for (it = Nodes.begin(); it != Nodes.end(); it++)
	{
		(*it)->render();
	}

}

void SceneGraph::update(void *data)
{

	list<Node*>::iterator it = Nodes.begin();

	while (it != Nodes.end())
	{
		Node* node = *it;
		if (node->nodeAlive)
		{
			node->update(data);
			it++;
		}
		else
		{
			it = Nodes.erase(it);
		}
	}


}

