#pragma once


#define OS_WIN
// #define OS_ANDROID
// #define OS_OSX
// #define OS_iOS

//#define OS_LINUX




// if APPLE
#if defined(__APPLE__)

#include "AvailabilityMacros.h"
#include "TargetConditionals.h"

#if TARGET_OS_IPHONE
#define OS_iOS
#else
#define OS_OSX
#endif

#endif



// check for Touchscren
#ifdef OS_LINUX
 #define OS_NO_TOUCH
#endif
#ifdef OS_WIN
 #define OS_NO_TOUCH
#endif
#ifdef OS_OSX
 #define OS_NO_TOUCH
#endif

#ifdef OS_ANDROID
 #define OS_TOUCH
#endif
#ifdef OS_iOS
 #define OS_TOUCH
#endif

