#pragma once

#include <SDL.h>
#include <SDL_mixer.h>
#include <SDL_image.h>
#include <SDL_ttf.h>

#include <string>


using namespace std;


void TextOutSurface(int x, int y, string txt, Uint32 color, SDL_Surface* surf, TTF_Font* curfont);
void TextOut(int x, int y, string txt, Uint32 color, TTF_Font* curfont);

SDL_Texture* LoadTexture(string filename);
SDL_Texture* LoadSprite(string filename);

Uint32 RGB32(Uint8 r, Uint8 g,Uint8 b);
void GetRGB32(Uint32 c, Uint8 &r, Uint8 &g, Uint8 &b);