#pragma once

#include <SDL.h>
#include <SDL_mixer.h>
#include "Node.h"

using namespace std;

extern SDL_Texture *AsteroidImage[64];
extern SDL_Texture *AsteroidExplodeImage[20];

void LoadAsteroidImageData();
void FreeAsteroidData();


class aAsteroid : public Node
{
public:

	int nodeID;

	aAsteroid();
   ~aAsteroid();

	void update(void *data);
	void render();

	bool explode;


	int x;
	int y;

	bool quiet;

private:

	int speed;

	int rotFrame;
	int explodeFrame;

	void PutAsteroid();
	void Reset();

	static Mix_Chunk *Sound;
	bool soundPlayed;
};